﻿@using DataAccess.Model

@{
    int count = 0;
    List<ArticleCategory> bcList = ViewBag.Categories;
}

<div class="nav-left-sidebar sidebar-dark">
    <nav class="navbar navbar-expand-md navbar-light w-100">
        <ul class="navbar-nav flex-column">
            <li class="nav-divider">
                <h5>Výukové texty</h5>
            </li>
            <li class="nav-item mb-1">
                <!--Tlačítko pro vytvoření nové kategorie v boční liště-->
                <ul class="nav flex-column">
                    @Ajax.ActionLink("Vytvořit kategorii", "Create", "Text", null, new AjaxOptions() { UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace }, new { @class = "btn btn-primary" })
                </ul>
            </li>
            <li class="nav-item">
                <!--Tlačítko pro vytvoření nového článku v boční liště-->
                <ul class="nav flex-column">
                    @Ajax.ActionLink("Vytvořit článek", "CreateArticle", "Text", null, new AjaxOptions() { UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace }, new { @class = "btn btn-primary" })
                </ul>
            </li>
            <li class="nav-item">
                <!--Pokud kategorie nejsou prázdné-->
                <ul class="nav flex-column">
                    @if (ViewBag.Categories != null)
                    {
                        foreach (ArticleCategory bc in bcList)
                        {
                            count++;
                            <!--Odsazení podlední kategorie od spodního okraje-->
                    <li class="nav-item @(bcList.Count == count ? "paddingLast" : "")">
                        <!--Načtení kategorie podle jména-->
                        @Ajax.ActionLink(bc.Name, "Category", "Text", new { id = bc.Id }, new AjaxOptions() { UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace }, new { @class = "submenuCat nav-link", data_toggle = "tooltip", data_placement = "top", title = bc.Description, onclick = "removeTooltip()" })
                        <ul class="nav flex-column pl-3">
                            <!--Ke každé kategorii přidat tlačítko upravit/odstranit-->
                            <li class="nav-item">
                                @Ajax.ActionLink("Upravit", "EditCategory", "Text", new { id = bc.Id }, new AjaxOptions() { UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace }, new { @class = "submenuLink nav-link" })
                            </li>
                            <li class="nav-item">
                                @Ajax.ActionLink("Odstranit", "DeleteCategory", "Text", new { id = bc.Id }, new AjaxOptions() { UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace }, new { @class = "nav-link submenuLink", onclick = "return confirm('Přejete si opravdu odstranit kategorii " + bc.Name + " ?');" })
                            </li>
                        </ul>
                    </li>
                        }

                    }
                </ul>
            </li>
        </ul>
    </nav>
</div>

<!--JS na přidání popisky po najetí myši na určitou kategorii a jeho zmizení, když kurzor z kategorie přesuneme-->
<script>
    $(function () {
        $('[data-toggle="tooltip"]').tooltip();
    });
    function removeTooltip() {
        $(".tooltip").remove();
    }
</script>